Authentication Bypass by Spoofing Affecting system.private.uri package, versions [4.3.0, 4.3.1)


0.0
high

Snyk CVSS

    Attack Complexity High
    Confidentiality High
    Integrity High
Expand this section
NVD
5.9 medium
Expand this section
RHEL
7.5 high

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • Snyk ID SNYK-DOTNET-SYSTEMPRIVATEURI-173689
  • published 6 Mar 2019
  • disclosed 12 Feb 2019
  • credit Jonathan Birch of Microsoft Corporation

How to fix?

Upgrade System.Private.Uri to version 4.3.1 or higher.

Overview

System.Private.Uri is a Provides implementation of System.Uri.

Affected versions of this package are vulnerable to Authentication Bypass by Spoofing due to the way they parse URL's. An attacker could use it to bypass security logic intended to ensure that a user-provided URL belonged to a specific hostname or a subdomain of that hostname. To exploit the vulnerability, an attacker must provide a URL string to an application that attempts to verify that the URL belongs to a specific hostname or to a subdomain of that hostname. The application must then make an HTTP request to the attacker-provided URL either directly or by sending a processed version of the attacker-provided URL to a web browser.